Bug 178285 - can't browse the commandline history in grads-1.9b4-5.1
Summary: can't browse the commandline history in grads-1.9b4-5.1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grads   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-19 01:39 UTC by Deji Akingunola
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: grads-1.9b4-6.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 16:01:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Deji Akingunola 2006-01-19 01:39:29 UTC
Description of problem:
Using the arrow-up key to browse grads commands history is broken. 

Version-Release number of selected component (if applicable): grads-1.9b4-5.1


How reproducible:
always

Steps to Reproduce:
1. open grads
2. perform some operations
3. press arrow-up to browse through previously typed commands
  
Actual results: each arrow-up keypress produce "^[[A"


Expected results: pressing arrow-up show display previously typed commands.


Additional info:
The rpms I built from the first and second grad src.rpm that was put up during
the FE review process does work as expected for me.

Comment 1 Deji Akingunola 2006-01-19 03:43:11 UTC
Ok, I found the solution. grads needs a build-time dependency on readline,
adding  readline-devel to the BR fix this issue. 


Note You need to log in before you can comment on or make changes to this bug.